Subject: Re: [PATCHv2] Update gitworkflows man page to include release workflow

From: Raman Gupta <[email-masked]>
Date: Thu, 12 Nov 2009 11:54:54 -0500

Thomas Rast wrote:
> Raman Gupta wrote:
>> Junio C Hamano wrote:
>>> Please set the tone straight.  If this is to suggest various possible
>>> workflows in general vague terms, "may use" would be good.  If this is to
>>> precisely describe what I do, then there won't be "you could do this, or
>>> you could do that."  Your "may use" suggests the former, but the commit
>>> log message claims the latter.  Which document are you writing?
>> Ok. The current document is inconsistent. In places it uses "the
>> maintainer" and in other places it uses "you". In any case, it seems
>> that the "maintainer" here is not "Junio Hamano" -- rather, it is the
>> reader.
>>
>> Let me create a separate (and first) cleanup patch to fix the existing
>> inconsistencies in this man page. I would prefer to use the pronoun
>> "you" consistently as also suggested by Thomas Rast.
> 
> Well, I'm not sure if this is also in reply to my comment

It was mostly, yes.

> } The current gitworkflows is mostly formulated in the imperative, [...]
> } or by directly describing the tools in the third person, [...]
> 
> but note that I do not consider the current form to be inconsistent
> (though you may of course convince me otherwise).  It addresses the
> presumed user with "you", which is not always the maintainer.  For
> example, when talking about patch submission we have

You're right, upon re-reading the original man page I realized it is
consistent.

Thanks,
Raman